﻿using System;

namespace DesktopTools.Interfaces
{
	/// <summary>
	/// параметры для контрола-налсденика
	/// </summary>
	public interface IControlChildEntity : IControl
	{
		/// <summary>
		/// Название свойства в дочернем классе, по которму идет связь с родительским классом
		/// </summary>
		public string ParentPropertyName { get; set; }

		/// <summary>
		/// Идентификатор родительской записи
		/// </summary>
		public object ParentObject { get; set; }

		/// <summary>
		/// Идентификатор родительского элемента
		/// </summary>
		public Guid? ParentId { get; set; }
	}
}