﻿namespace ModelTools.Enums
{
    /// <summary>
    /// Операции в системе
    /// </summary>
	public enum AccessOperation
    {
        #region Администрирование
        Администрирование = 0,

        Роли = 1,

        Доступы = 2,

        Пользователи = 3,

        НастройкиСреды = 4,
        #endregion

        #region База
        Кафедра = 100,

        Аудитории = 101,

        Направления = 102,

        Преподаватели = 103, // + должности, звания

        Дисциплины = 104, // + Блоки дисциплин

        Группы = 105, //

        Студенты = 106,

        Приказы_студентов = 107,
        #endregion

        // Меню Учебный процесс
        Учебный_процесс = 150,

        Учебные_планы = 120,

        Виды_нагрузок = 121,

        Учебные_года = 122,

        Даты_семестра = 126,

        Контингент = 123,

        Нормы_времени = 124,

        Расчет_штатов = 125,

        Расчасовки = 127,

        Преподавательская_ставка = 128,

        Индивидуальный_план = 130,

        // Меню Расписание
        Расписание = 200,

        Расписание_аудитории = 201,

        Расписание_группы = 202,

        Расписание_преподаватели = 203,

        Расписание_настройки = 204,

        Расписание_интервалы_пар = 205,

        Расписание_дисциплины = 206,

        // Меню Сервис
        Сервис = 300,

        Генерация_билетов = 301,

        // Меню зав лаб
        ЗавЛабораторией = 400,

        МатериальноТехническиеЦенности = 401,

        УстановленоеПО = 402,

        // Экзамены - составление билетов и проведение
        СоставлениеЭкзаменов = 500,

        Ведомости = 501,

        ШаблоныБилетов = 502,

        // Web-портал
        Новости = 600,

        Комментарии = 601
    }
}