﻿using DesktopTools.Controls;
using DesktopTools.Interfaces;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.EntityControls
{
	public partial class ControlAccessElement : 
		GenericControlEntityElement<AccessGetBindingModel, AccessSetBindingModel, AccessListViewModel, AccessViewModel, AccessBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlAccessElement()
		{
			InitializeComponent();
			Title = "Доступы";
			ControlId = new Guid("fbe22d1d-e7b3-49f9-b013-93950aa0281b");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAccessElement() { ControlId = Guid.NewGuid() };
	}
}