﻿using DesktopTools.Controls;
using DesktopTools.Interfaces;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.EntityControls
{
	public partial class ControlUserElement : 
		GenericControlEntityElement<UserGetBindingModel, UserSetBindingModel, UserListViewModel, UserViewModel, UserBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlUserElement()
		{
			InitializeComponent();
			Title = "Пользователь";
			ControlId = new Guid("5e731873-1a7e-44f5-a9b0-9529fbb01fee");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlUserElement() { ControlId = Guid.NewGuid() };
	}
}